/*
	* HolyScript Lite
	* by
	* Reverend Fuzzy
 */

#include <stdio.h>
#include <strings.h>
#include <errno.h>
#include "mm.h"

void displayMainScreen();
void render();
void firstRun();
void displayStatus();
void displaySplash();
void toggleCeremonyType();

FILE *fp;
char rootFolder[128];
char buffer[128];
char customer1A[128];
char customer1B[128];
char customer2A[128];
char customer2B[128];
char yourState[32];
char configFilename[128];
char outBuffer[128];
char ms;
char trash='\0';
char filler[20];
char shellCmd[128];
int ceremonyType=0; // 0=standard 1=secular //


int main(int argc, char **argv)
{
	displaySplash();

beginAgain:

	clear();
	strcpy(rootFolder,getenv("HOME"));
	strcpy(configFilename,"\0");
	strcat(configFilename,rootFolder);
	strcat(configFilename,"/.holyscript");
	strcpy(customer1A,"<undefined>");
	strcpy(customer1B,"<undefined>");
	strcpy(customer2A,"<undefined>");
	strcpy(customer2B,"<undefined>");	
	strcpy(yourState,"\0");
	strcpy(outBuffer,"\0");
	strncpy(&ms,"\0",1);
	strcpy(filler,"                   ");
	ceremonyType=0;
	firstRun();
	
showmenu:
	
	displayMainScreen();
	displayStatus("Idle...");
	
	// get menu input
	ms=inKey();
	
	// bail //
	if (strncmp(&ms,"8",1)==0)
	{
		displayStatus("Closing...");
		exit(0);
	}

	// restart
	if (strncmp(&ms,"7",1)==0)
	{
		displayStatus("Restarting...");
		goto beginAgain;
	}

	// render data to file //
	if (strncmp(&ms,"6",1)==0)
	{
		displayStatus("Preparing to render...");
		render();
		goto showmenu;
	}
	
	if (strncmp(&ms,"5",1)==0)
	{
		toggleCeremonyType();
		goto showmenu;
	}
	
	// get groom's last name //
	if (strncmp(&ms,"4",1)==0)
	{
		gotoxy(17,7);
		printf("%s",filler);
		gotoxy(17,7);
		getchar();
		fscanf(stdin,"%[^\n]s",customer2B);
		goto showmenu;
	}
	
	// get groom's first name //
	if (strncmp(&ms,"3",1)==0)
	{
		gotoxy(17,6);
		printf("%s",filler);
		gotoxy(17,6);
		getchar();
		fscanf(stdin,"%[^\n]s",customer2A);
		goto showmenu;
	}
	
	// get bride's last name //
	if (strncmp(&ms,"2",1)==0)
	{
		gotoxy(17,3);
		printf("%s",filler);
		gotoxy(17,3);
		getchar();
		fscanf(stdin,"%[^\n]s",customer1B);
		goto showmenu;
	}
		
	// get bride's first name //
	if (strncmp(&ms,"1",1)==0)
	{
		gotoxy(17,2);
		printf("%s",filler);
		gotoxy(17,2);
		getchar();
		fscanf(stdin,"%[^\n]s",customer1A);
		goto showmenu;
	}
	
	goto showmenu;
}

void render()
{
	displayStatus("Rendering...");
	
	goUpper(customer1A);
	goUpper(customer1B);
	goUpper(customer2A);
	goUpper(customer2B);
	goUpper(yourState);
	
	if (exists("tmp.txt")==1)
	{
		remove("tmp.txt");
	}
	
	if (ceremonyType==0)
	{
		fp=fopen("tmp.txt","w+");
		fprintf(fp,"[MINISTER]\n");
		fprintf(fp,"\tPLEASE JOIN HANDS\n");
		fprintf(fp,"\tMANY OF YOU MAY NOT REALIZE IT YET, BUT GOD HAS\n");
		fprintf(fp,"\tKNOWN US ALL SINCE BEFORE WE WERE BORN,  HE'S\n");
		fprintf(fp,"\tPLANNED OUT EACH AND EVERY MOMENT OF EACH OF\n");
		fprintf(fp,"\tOUR LIVES, AND HOW EACH OF THOSE MOMENTS WILL\n");
		fprintf(fp,"\tINTERFACE WITH THE MOMENTS OF THE LIVES OF ALL\n");
		fprintf(fp,"\tOTHERS... THAT\'S WHEN HE RELEASES US INTO THE\n");
		fprintf(fp,"\tWORLD ON AUTOPILOT.\n\n");
	
		fprintf(fp,"\tSO AS WE TRAVERSE THE CONSTANTLY UNFOLDING\n");
		fprintf(fp,"\tSTORY THAT WE CALL \"LIFE\", WE OCCASIONALLY,\n");
		fprintf(fp,"\tUNKNOWINGLY PAUSE TO LOOK AROUND, TO SEEK THE\n");
		fprintf(fp,"\tMATE THAT GOD HAS CHOSEN FOR US.\n\n");
	
		fprintf(fp,"\tSOMETIMES, IT TAKES YEARS, AND SOMETIMES IT\n");
		fprintf(fp,"\tTAKES THE SPAN OF SEVERAL DECADES.\n");
		fprintf(fp,"\tBUT IT WILL HAPPEN, AND WHEN IT HAPPENS, WE\n");
		fprintf(fp,"\tKNOW. WE THINK \"THIS IS THE ONE I WANT TO\n");
		fprintf(fp,"\tSPEND THE REST OF MY LIFE WITH\".\n\n");

		fprintf(fp,"\tWHEN THAT HAPPENS, ITS TIME TO MAKE IT LEGAL.\n");
		fprintf(fp,"\tAND THAT'S ESSENTIALLY WHAT WE ARE HERE FOR,\n");
		fprintf(fp,"\tTODAY.  AND SO I AM COMPELLED TO ASK...\n\n");
		fprintf(fp,"[MINISTER TO BRIDE]\n\n");
	
		fprintf(fp,"\tDO YOU %s, TAKE THIS MAN\n",goUpper(customer1A));
		fprintf(fp,"\t%s, TO BE YOUR LAWFULLY WEDDED\n",goUpper(customer2A));
		fprintf(fp,"\tHUSBAND, AND PROMISE TO LOVE HIM WITHOUT\n");
		fprintf(fp,"\tRESERVATION,\n");
		fprintf(fp,"\tTO COMFORT HIM IN TIMES OF DISTRESS,\n");
		fprintf(fp,"\tENCOURAGE HIM TO ACHIEVE HIS GOALS,\n");
		fprintf(fp,"\tTO LAUGH WITH HIM AND CRY WITH HIM,\n");
		fprintf(fp,"\tTO GROW WITH HIM IN MIND, AND SPIRIT,\n");
		fprintf(fp,"\tTO ALWAYS BE OPEN AND HONEST WITH HIM,\n");
		fprintf(fp,"\tAND TO CHERISH HIM FOR AS LONG AS YOU\n");
		fprintf(fp,"\tBOTH SHALL LIVE?\n\n");
	
		fprintf(fp,"[MINISTER TO 6ROOM]\n\n");
		fprintf(fp,"\tDO YOU %s, TAKE THIS WOMAN\n",goUpper(customer2A));
		fprintf(fp,"\t%s, TO BE YOUR LAWFULLY WEDDED\n",goUpper(customer1A));
		fprintf(fp,"\tWIFE, AND PROMISE TO LOVE HER WITHOUT\n");
		fprintf(fp,"\tRESERVATION,\n");
		fprintf(fp,"\tTO COMFORT HER IN TIMES OF DISTRESS,\n");
		fprintf(fp,"\tENCOURAGE HER TO ACHIEVE HER GOALS,\n");
		fprintf(fp,"\tTO LAUGH WITH HER AND CRY WITH HER,\n");
		fprintf(fp,"\tTO GROW WITH HER IN MIND, AND SPIRIT,\n");
		fprintf(fp,"\tTO ALWAYS BE OPEN AND HONEST WITH HER,\n");
		fprintf(fp,"\tAND TO CHERISH HER FOR AS LONG AS YOU\n");
		fprintf(fp,"\tBOTH SHALL LIVE?\n\n");
		fprintf(fp,"(PAUSE FOR GROOM'S RESPONSE)\n\n");
		fprintf(fp,"[MINISTER]\n\n");
		fprintf(fp,"\tAT THIS POINT, I AM OBLIGATED TO ASK...\n");
		fprintf(fp,"\tIS THERE ANYONE PRESENT, WHO CAN SHOW GOOD\n");
		fprintf(fp,"\tAND LEGAL REASON WHY THIS COUPLE SHOULD NOT\n");
		fprintf(fp,"\tBE WED?  SPEAK NOW, OR FOREVER HOLD YOUR PEACE.\n\n");
		fprintf(fp,"(PAUSE FOR UNLIKELY RESPONSE)\n\n");
	
		fprintf(fp,"\tSINCE AROUND 540 A.D. NEWLY MARRIED COUPLES\n");
		fprintf(fp,"\tHAVE USED THE TRADITION OF AN EXCHANGE OF\n");
		fprintf(fp,"\tSYMBOLIC TOKENS TO REMIND EACH OTHER OF THE\n");
		fprintf(fp,"\tVOWS THEY'VE TAKEN ON THEIR WEDDING DAY, AND\n");
		fprintf(fp,"\tAS A SIGN TO ALL OTHERS, THAT THEY ARE INDEED\n");
		fprintf(fp,"\tBOUND TOGETHER BY GOD AS ONE.\n\n");

		fprintf(fp,"\tOUR HAPPY COUPLE WILL NOW TAKE THIS MOMENT\n");
		fprintf(fp,"\tTO EXCHANGE THEIR TOKENS OF LOVE.... THE RINGS.\n\n");
		fprintf(fp,"[MINISTER TO GROOM]:\n\n");
		fprintf(fp,"\t%s, PLACE THE RING ON %s'S FINGER,\n",goUpper(customer2A),goUpper(customer1A));
		fprintf(fp,"\tAND REPEAT AFTER ME...\n");
		fprintf(fp,"\tWITH THIS RING, I THEE WED.\n\n");
	
		fprintf(fp,"[MINISTER TO BRIDE]:\n\n");
	
		fprintf(fp,"\t%s, PLACE THE RING ON %s'S FINGER,\n",goUpper(customer1A),goUpper(customer2A));
		fprintf(fp,"\tAND REPEAT AFTER ME...\n");
		fprintf(fp,"\tWITH THIS RING, I THEE WED.\n\n");
		fprintf(fp,"[PAUSE FOR COMPLETION]\n\n");
	
		fprintf(fp,"\tLOOKS LIKE WE'VE GOT ALL OUR DUCKS IN A ROW,\n");
		fprintf(fp,"\tSO...  BY THE AUTHORITY VESTED IN ME BY THE\n");
		fprintf(fp,"\tSTATE OF %s, AND THE MINISTRY OF\n",goUpper(yourState));
		fprintf(fp,"\tJESUS CHRIST, I NOW PRONOUNCE YOU TO\n");
		fprintf(fp,"\tBE HUSBAND AND WIFE.   AND WHAT GOD HAS\n");
		fprintf(fp,"\tBOUND TOGETHER, LET NO MAN OR WOMAN PUT\n");
		fprintf(fp,"\tASUNDER.\n\n");
		fprintf(fp,"[MINISTER TO GROOM]\n\n");
		fprintf(fp,"\tYOU MAY KISS YOUR BRIDE.\n\n");
		fprintf(fp,"[ ] INTRODUCE AS MR & MRS %s %s\n",goUpper(customer2A),goUpper(customer2B));
		fflush(fp);
		fclose(fp);
	}
	
	if (ceremonyType==1)
	{
		fp=fopen("tmp.txt","w+");
		
		fprintf(fp,"[MINISTER]:\n\n");
		fprintf(fp,"\tFAMILY AND FRIENDS OF %s AND %s,\n",customer1A,customer2A);
		fprintf(fp,"\tWELCOME TO THEIR WEDDING CEREMONY.\n\n");
		fprintf(fp,"\tIN THIS PLACE, WE TAKE OURSELVES OUT OF THE USUAL ROUTINES OF\n");
		fprintf(fp,"\tDAILY LIVING TO WITNESS A UNIQUE MOMENT IN THEIR LIVES.\n\n");
		fprintf(fp,"\tTODAY THEY JOIN THEIR LIVES IN THE UNION OF MARRIAGE.\n");
		fprintf(fp,"\tAND THEY ARE HAPPY TO SHARE THIS MOMENT WITH YOU.\n\n");
		fprintf(fp,"\tWE COME NOW TO THE WORDS %s AND %s\n",customer1A,customer2A);
		fprintf(fp,"\tWANT TO HEAR THE MOST, TODAY... THE WORDS THAT TAKE\n");
		fprintf(fp,"\tTHEM ACROSS THE THRESHOLD FROM BEING ENGAGED TO\n");
		fprintf(fp,"\tBEING MARRIED.\n\n");
		fprintf(fp,"\tA MARRIAGE, AS MOST OF US UNDERSTAND IT, IS A\n");
		fprintf(fp,"\tVOLUNTARY AND FULL COMMITMENT.\n");
		fprintf(fp,"\tIT IS MADE IN THE DEEPEST SENSE, TO THE EXCLUSION\n");
		fprintf(fp,"\tOF ALL OTHERS,	AND IT IS ENTERED INTO WITH THE\n");
		fprintf(fp,"\tDESIRE AND HOPE THAT IT WILL LAST FOR A LIFETIME.\n\n");
		fprintf(fp,"[MINISTER 2 BRIDE & GROOM]:\n\n");
		fprintf(fp,"\tBEFORE YOU DECLARE YOUR VOWS TO ONE ANOTHER,\n");
		fprintf(fp,"\tI WANT TO HEAR EACH OF YOU CONFIRM THAT IT IS INDEED\n");
		fprintf(fp,"\tYOUR INTENTION TO BE MARRIED TODAY.\n\n");
		fprintf(fp,"[MINISTER TO BRIDE]:\n\n");
		fprintf(fp,"\t%s, DO YOU COME HERE FREELY AND\n",customer1A);
		fprintf(fp,"\tWITHOUT RESERVATION, TO GIVE YOURSELF TO\n");
		fprintf(fp,"\t%s IN MARRIAGE?\n\n",customer2A);
		fprintf(fp,"[PAUSE FOR BRIDE'S RESPONSE]:\n\n");
		fprintf(fp,"[MINISTER TO GROOM]:\n\n");
		fprintf(fp,"\t%s, DO YOU COME HERE FREELY AND\n",customer2A);
		fprintf(fp,"\tWITHOUT RESERVATION, TO GIVE YOURSELF TO\n");
		fprintf(fp,"\t%s IN MARRIAGE?\n\n",customer1A);
		fprintf(fp,"[MINISTER 2 BRIDE & GROOM]:\n\n");
		fprintf(fp,"\tHAVING HEARD THAT IT IS YOUR INTENTION TO\n");
		fprintf(fp,"\tBE MARRIED TO EACH OTHER, I WILL NOW ASK\n");
		fprintf(fp,"\tYOU TO DECLARE YOUR MARRIAGE VOWS.\n\n");
		fprintf(fp,"[MINISTER TO BRIDE]:\n\n");
		fprintf(fp,"\tDO YOU, %s, TAKE THIS MAN, %s\n",customer1A,customer2A);
		fprintf(fp,"\tTO BE YOUR HUSBAND,\n");
		fprintf(fp,"\tAND PROMISE TO LOVE HIM WITHOUT RESERVATION,\n");
		fprintf(fp,"\tTO COMFORT HIM IN TIMES OF DISTRESS,\n");
		fprintf(fp,"\tENCOURAGE HIM TO ACHIEVE HIS GOALS,\n");
		fprintf(fp,"\tTO LAUGH WITH HIM AND CRY WITH HIM,\n");
		fprintf(fp,"\tTO GROW WITH HIM IN MIND, AND SPIRIT,\n");
		fprintf(fp,"\tTO ALWAYS BE OPEN AND HONEST WITH HIM,\n");
		fprintf(fp,"\tAND TO CHERISH HIM FOR AS LONG AS YOU BOTH\n");
		fprintf(fp,"\tSHALL LIVE?\n\n");
		fprintf(fp,"[PAUSE FOR BRIDE'S RESPONSE]:\n\n");
		fprintf(fp,"[MINISTER TO GROOM]:\n\n");
		fprintf(fp,"\tDO YOU %s, TAKE THIS WOMAN %s\n",customer2A,customer1A);
		fprintf(fp,"\tTO BE YOUR LAWFULLY WEDDED WIFE,\n");
		fprintf(fp,"\tAND PROMISE TO LOVE HER WITHOUT RESERVATION,\n");
		fprintf(fp,"\tTO COMFORT HER IN TIMES OF DISTRESS,\n");
		fprintf(fp,"\tENCOURAGE HER TO ACHIEVE HER GOALS,\n");
		fprintf(fp,"\tTO LAUGH WITH HER AND CRY WITH HER,\n");
		fprintf(fp,"\tTO GROW WITH HER IN MIND, AND SPIRIT,\n");
		fprintf(fp,"\tTO ALWAYS BE OPEN AND HONEST WITH HER,\n");
		fprintf(fp,"\tAND TO CHERISH HER FOR AS LONG AS YOU BOTH\n");
		fprintf(fp,"\tSHALL LIVE?\n\n");
		fprintf(fp,"[PAUSE FOR GROOM'S RESPONSE]:\n\n");
		fprintf(fp,"[MINISTER]:\n\n");
		fprintf(fp,"\tTHE WEDDING RINGS ARE THE OUTWARD AND\n");
		fprintf(fp,"\tVISIBLE SIGN OF THE INWARD AND INVISIBLE\n");
		fprintf(fp,"\tBOND WHICH ALREADY UNITES A COUPLE'S\n");
		fprintf(fp,"\tTWO HEARTS IN LOVE.\n\n");
		fprintf(fp,"[MINISTER TO GROOM]:\n");
		fprintf(fp,"\t%s, PLACE THE RING ON %s'S\n",customer2A,customer1A);
		fprintf(fp,"\tFINGER AND REPEAT AFTER ME.\n");
		fprintf(fp,"\tI GIVE YOU THIS RING,\n");
		fprintf(fp,"\tWEAR IT WITH LOVE AND JOY.\n");
		fprintf(fp,"\tAS THIS RING HAS NO END,\n");
		fprintf(fp,"\tMY LOVE IS ALSO FOREVER.\n\n");
		fprintf(fp,"[MINISTER TO BRIDE]:\n\n");
		fprintf(fp,"\t%s, PLACE THE RING ON %s'S\n",customer1A,customer2A);
		fprintf(fp,"\tFINGER AND REPEAT AFTER ME.\n\n");
		fprintf(fp,"\tI GIVE YOU THIS RING.\n");
		fprintf(fp,"\tWEAR IT WITH LOVE AND JOY.\n");
		fprintf(fp,"\tAS THIS RING HAS NO END,\n");
		fprintf(fp,"\tMY LOVE IS ALSO FOREVER.\n\n");
		fprintf(fp,"[MINISTER TO BRIDE & GROOM]:\n\n");
		fprintf(fp,"\tMAY THE WEDDING RINGS YOU EXCHANGED TODAY, REMIND\n");
		fprintf(fp,"\tYOU ALWAYS THAT YOU ARE SURROUNDED BY AN ENDURING\n");
		fprintf(fp,"\tLOVE.\n\n");
		fprintf(fp,"[MINISTER]:\n\n");
		fprintf(fp,"\tWHILE THIS WEDDING IS A CELEBRATION OF LOVE AND\n");
		fprintf(fp,"\tCOMMITMENT, IT IS ALSO A LEGAL CEREMONY.\n");
		fprintf(fp,"\tSO I AM COMPELLED TO ASK...\n\n");
		fprintf(fp,"\tIS THERE ANYONE PRESENT, THAT CAN SHOW GOOD AND\n");
		fprintf(fp,"\tLEGAL REASON THAT THIS COUPLE MAY NOT BE MARRIED\n");
		fprintf(fp,"\tON THIS DAY?  IF SO, SPEAK NOW, OR FOREVER HOLD\n");
		fprintf(fp,"\tYOUR PEACE.\n\n");
		fprintf(fp,"[PAUSE FOR UNLIKELY RESPONSE]:\n\n");
		fprintf(fp,"[MINISTER]:\n\n");
		fprintf(fp,"\t%s AND %s... I OFFER\n",customer1A,customer2A);
		fprintf(fp,"\tTHESE GOOD WISHES TO YOU ON THIS SPECIAL DAY...\n\n");
		fprintf(fp,"\tMAY YOUR LIFE TOGETHER BE BLESSED WITH PROSPERITY\n");
		fprintf(fp,"\tAND GOOD HEALTH.\n");
		fprintf(fp,"\tMAY YOU ALWAYS SHARE OPEN AND HONEST\n");
		fprintf(fp,"\tCOMMUNICATION BETWEEN EACH OTHER.\n");
		fprintf(fp,"\tMAY YOU RESPECT EACH OTHER?S INDIVIDUAL TALENTS\n");
		fprintf(fp,"\tAND GIFTS, AND GIVE FULL SUPPORT TO EACH\n");
		fprintf(fp,"\tOTHER'S PROFESSIONAL AND PERSONAL PURSUITS.\n");
		fprintf(fp,"\tMAY YOU CHERISH THE HOME AND FAMILY YOU\n");
		fprintf(fp,"\tCREATE TOGETHER.\n");
		fprintf(fp,"\tMAY ALL THE YEARS TO COME BE FILLED WITH MOMENTS\n");
		fprintf(fp,"\tTO CELEBRATE AND RENEW YOUR LOVE.\n");
		fprintf(fp,"\tMAY YOUR LOVE BE A LIFE-LONG SOURCE OF EXCITEMENT,\n");
		fprintf(fp,"\tCONTENTMENT, AFFECTION, RESPECT, AND DEVOTION\n");
		fprintf(fp,"\tFOR ONE ANOTHER.\n\n");
		fprintf(fp,"[MINISTER]:\n\n");
		fprintf(fp,"\tIT WOULD SEEM THAT WE NOW HAVE ALL OUR DUCKS IN A ROW.\n");
		fprintf(fp,"\tSO, BY THE AUTHORITY `VESTED IN ME BY THE STATE OF\n");
		fprintf(fp,"\t%s, I NOW\n",yourState);
		fprintf(fp,"\tPRONOUNCE YOU TO BE HUSBAND AND WIFE.\n\n");
		fprintf(fp,"[MINISTER TO GROOM]:\n\n");
		fprintf(fp,"\tYOU MAY NOW KISS YOUR BRIDE\n\n");
		fprintf(fp,"[MINISTER MOTIONS FOR COUPLE TO TURN AROUND]:\n\n");
		fprintf(fp,"[MINISTER TO AUDIENCE]:\n\n");
		fprintf(fp,"\tLADIES AND GENTLEMEN, I NOW INTRODUCE TO YOU, MR\n");
		fprintf(fp,"\tAND MRS %s %s\n",customer2A,customer2B);		
		
		fflush(fp);
		fclose(fp);
	}				
				
	displayStatus("Rendering complete...");
	displayStatus("Exporting to text editor...");
	
	// launch libreoffice with work file //
	displayStatus("Please close text editor to continue...");
	system("libreoffice -o tmp.txt");
	displayStatus("Ready.");
	return;
}

void firstRun()
{
	if (exists(configFilename)==0)
	{
		//clear();

		printf("Enter FULL name of your STATE\n>");
		fscanf(stdin,"%[^\n]s",yourState);
		getchar();
		
		if (strcmp(yourState,"\0")==0)
		{
			printf("Default: myState=apathy\n");
			strcpy(yourState,"apathy");
		}
		
		fp=fopen(configFilename,"w+");
		fprintf(fp,"%s",yourState);
		fflush(fp);
		fclose(fp);
		return;
	}
	fp=fopen(configFilename,"r+");
	fscanf(fp,"%[^\n]s",yourState);
	fclose(fp);
}

void displayMainScreen()
{
	clear();
	
	// display prompts //
	gotoxy(1,0);
	colBold();
	printf("Bride");
	colReset();
	gotoxy(1,2);
	colReverse();
	printf(" 1 ");
	colReset();
	printf(" First name:");
	gotoxy(1,3);
	colReverse();
	printf(" 2 ");
	colReset();
	printf("  Last name:");
	gotoxy(1,5);
	colBold();
	printf("Groom");
	colReset();
	gotoxy(1,6);
	colReverse();
	printf(" 3 ");
	colReset();
	printf(" First name:");
	gotoxy(1,7);
	colReverse();
	printf(" 4 ");
	colReset();
	printf("  Last name:");
	gotoxy(1,9);
	colReverse();
	printf(" 5 ");
	colReset();
	printf(" Ceremony type:");
	gotoxy(1,12);
	colReverse();
	printf(" 1-5 ");
	colReset();
	printf(" Change data");
	gotoxy(1,13);
	colReverse();
	printf(" 6 ");
	colReset();
	printf(" Render to LibreOffice");
	gotoxy(1,14);
	colReverse();
	printf(" 7 ");
	colReset();
	printf(" Restart");
	gotoxy(1,15);
	colReverse();
	printf(" 8 ");
	colReset();
	printf(" Bail");
	gotoxy(1,17);
	printf(">");
	
	// display variables //
	gotoxy(17,2);
	colLTGreen();
	printf("%s",customer1A);
	colReset();
	gotoxy(17,3);
	colLTGreen();
	printf("%s",customer1B);
	colReset();
	gotoxy(17,6);
	colLTGreen();
	printf("%s",customer2A);
	colReset();
	gotoxy(17,7);
	colLTGreen();
	printf("%s",customer2B);
	colReset();
	gotoxy(20,9);
	colLTGreen();
	if (ceremonyType==0)
	{
		printf("Traditional/Christian%s",filler);
	}
	
	if (ceremonyType==1)
	{
		printf("Secular%s",filler);
	}
	colReset();
	fflush(stdout);
	return;
}

void displayStatus(char *stt)
{
	gotoxy(1,23);
	
	printf("Status: ");
	colLTYellow();
	printf("%s%s",stt,filler);
	colReset();
	fflush(stdout);
	gotoxy(3,17);
	return;
}

void displaySplash()
{
	int *x; /* pointer to returned 2-byte array */
	x=getsz();	
	int startX=x[0]/2-8;
	int startY=x[1]/2-3;
	clear();
	gotoxy(startX,startY);
	fflush(stdout);
	colReverse();
	printf("                 \n");
	gotoxy(startX,startY+1);
	printf(" HOLYSCRIPT LITE \n");
	gotoxy(startX,startY+2);
	printf("    FOR LINUX    \n");
	gotoxy(startX,startY+3);
	printf("       BY        \n");
	gotoxy(startX,startY+4);
	printf(" REVEREND FUZZY  \n");
	gotoxy(startX,startY+5);
	printf("                 \n");
	colReset();
	fflush(stdout);
	sleep(5);
	return;
}

void toggleCeremonyType()
{
	switch(ceremonyType)
	{
		case 0:
			ceremonyType=1;
			goto continueToggle;
			break;
		case 1:
			ceremonyType=0;
			goto continueToggle;
			break;
	}
	
continueToggle:
	return;
}
