﻿#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <time.h>
#include <ctype.h>

// add common boolean compatability //
#define True 1
#define False 0

// Use: clear();
//
// clears the terminal screen
void clear()
{
	printf("\x1B[H\x1B[J"); fflush(stdout);
	fflush(stdout);
}

// Use: gotoxy(int x-coord, int y-coord);
//
// move cursor to screen location (x,y)

void gotoxy(int x,int y)
{
	if (x<1)
		x=1;
	if (y<1)
		y=1;
	printf("\x1B[%d;%dH",y,x);
	fflush(stdout);
}

// Use: gohome();
//
// Move cursor to screen "home" location (same as gotoxy(1,1); )
void gohome()
{
	printf("\x1B[1;1H");
	fflush(stdout);
}

/*
 * Foreground Color Attributes 
 * ---------------------------
 * 
 * colBlack();
 * colRed();
 * colGreen();
 * colYellow();
 * colBlue();
 * colMagenta();
 * colCyan();
 * colWhite();
 * colLTBlack();
 * colLTRed();
 * colLTGreen();
 * colLTYellow();
 * colLTBlue();
 * colLTMagenta();
 * colLTCyan();
 * colLTWhite();
 *
 * Background Color Attributes 
 * ---------------------------
 * 
 * colBGBlack();
 * colBGRed();
 * colBGGreen();
 * colBGYellow();
 * colBGBlue();
 * colBGMagenta();
 * colBGCyan();
 * colBGWhite();
 * colBGLTBlack();
 * colBGLTRed();
 * colBGLTGreen();
 * colBGLTYellow();
 * colBGLTBlue();
 * colBGLTMagenta();
 * colBGLTCyan();
 * colBGLTWhite();
 * 
 * Text attributes
 * ---------------
 * 
 * colBold(); 
 * colItalic();
 * colUnderscore();
 * colBlink();
 * colReverse();
 * colConcealed();
 */
 
#define colBlack() { printf("\x1b[30m"); fflush(stdout); }
#define colRed() { 	printf("\x1b[31m"); fflush(stdout); }
#define colGreen() { printf("\x1b[32m"); fflush(stdout); }
#define colYellow() { printf("\x1b[33m"); fflush(stdout); }
#define colBlue() { printf("\x1b[34m"); fflush(stdout); }
#define colMagenta() { printf("\x1b[35m"); fflush(stdout); }
#define colCyan() { printf("\x1b[36m"); fflush(stdout); }
#define colWhite() { printf("\x1b[37m"); fflush(stdout); }
#define colLTBlack() { printf("\x1b[90m"); fflush(stdout); }
#define colLTRed() { printf("\x1b[91m"); fflush(stdout); }
#define colLTGreen() { printf("\x1b[92m"); fflush(stdout); }	
#define colLTYellow() { printf("\x1b[93m"); fflush(stdout); }
#define colLTBlue() { printf("\x1b[94m"); fflush(stdout); }
#define colLTMagenta() { printf("\x1b[95m"); fflush(stdout); }
#define colLTCyan() { printf("\x1b[96m"); fflush(stdout); }
#define colLTWhite() { printf("\x1b[97m"); fflush(stdout); }

#define colBGBlack() { printf("\x1b[40m"); fflush(stdout); }
#define colBGRed() { 	printf("\x1b[41m"); fflush(stdout); }
#define colBGGreen() { printf("\x1b[42m"); fflush(stdout); }
#define colBGYellow() { printf("\x1b[43m"); fflush(stdout); }
#define colBGBlue() { printf("\x1b[44m"); fflush(stdout); }
#define colBGMagenta() { printf("\x1b[45m"); fflush(stdout); }
#define colBGCyan() { printf("\x1b[46m"); fflush(stdout); }
#define colBGWhite() { printf("\x1b[47m"); fflush(stdout); }
#define colBGLTBlack() { printf("\x1b[100m"); fflush(stdout); }
#define colBGLTRed() { printf("\x1b[101m"); fflush(stdout); }
#define colBGLTGreen() { printf("\x1b[102m"); fflush(stdout); }	
#define colBGLTYellow() { printf("\x1b[103m"); fflush(stdout); }
#define colBGLTBlue() { printf("\x1b[104m"); fflush(stdout); }
#define colBGLTMagenta() { printf("\x1b[105m"); fflush(stdout); }
#define colBGLTCyan() { printf("\x1b[106m"); fflush(stdout); }
#define colBGLTWhite() { printf("\x1b[107m"); fflush(stdout); }

#define colReset() { printf("\x1b[0m"); fflush(stdout); }
#define colBold() { printf("\x1b[1m"); fflush(stdout); }
#define colItalic() { printf("\x1b[3m"); fflush(stdout); }
#define colUnderscore() { printf("\x1b[4m"); fflush(stdout); }
#define colBlink() { printf("\x1b[5m"); fflush(stdout); }
#define colReverse() { printf("\x1b[7m"); fflush(stdout); }
#define colConcealed() { printf("\x1b[8m"); fflush(stdout); }

/*
	Use: int *xy = getsz();
	 
	Returns current screen width (xy[0]) and height (xy[1]))
*/
int *getsz()
{
	static int xy[2]={0,0};
	char h[5];
	char v[5];
	
	system("stty size > stty.tmp");
	FILE *fp=fopen("stty.tmp","r");
	fscanf(fp,"%s\t%s",v,h);
	fclose(fp);
	xy[0]=atoi(h);
	xy[1]=atoi(v);
	system("rm stty.tmp");
	return xy;
}

/*
Use:	say("text");
	
	Use espeak (Equivalent to: system("espeak -s 125 '<text>'");
*/
	
int say(char *x) {
	char s[128];
	strcpy(s,"\x00");
	strcat(s,"espeak -s 125 \x22");
	strcat(s,x);
	strcat(s,"\x22");
	system(s);
	return 0;
}

/* Use: int exists(char[] file-or-path); */
int exists(char *fname)
{
	FILE *file;
		if ((file = fopen(fname, "r")))
		{
			fclose(file);
			return 1;
		}
    return 0;
}

/* Use: char = inKey() */
char inKey()
{
	char myChar='\0';
	fflush(stdin);
	myChar=getchar();
	return myChar;    
}

/*
	Use: char *name=char_repeat(int number-of-times, char character);
*/
char * char_repeat( int n, char c )
{
	char * dest = malloc(n+1);
	 memset(dest, c, n);
	 dest[n] = '\0';
	 return dest;
}

//
// Use: void goLower(x);
// 		char x[?];
//
char *goLower(char *x)
{
	int c=0;
	while(x[c]!='\0')
	{ if (x[c]>=65 && x[c]<=90)
		{
			x[c]=x[c]+32;
		}
		c++;
	}
	return(x);
}

//
// Use: void goUpper(x);
// 		char x[?];
//
char *goUpper(char *x)
{
	int c=0;
	while(x[c]!='\0')
	{ if (x[c]>=97 && x[c]<=122)
		{
			x[c]=x[c]-32;
		}
		c++;
	}
	return(x);
}

void printAt(int x, int y, char *s)
{
	int *xy = getsz();

	if (x> xy[0] || x<0)
		return;


	if (y>xy[1] || x<0)
		return;

	gotoxy(x,y);
	printf("%s",s);
}

//
// Use: toString(char str[], int num
//
// Converts integer "num" into string (char array) "str"
//
// Example:
//	char example[7];
//
//	tostring(example,7*8);
//
// Result: example="56"
//

void toString(char str[], int num)
{
    int i, rem, len = 0, n;
 
    n = num;
    while (n != 0)
    {
        len++;
        n /= 10;
    }
    for (i = 0; i < len; i++)
    {
        rem = num % 10;
        num = num / 10;
        str[len - (i + 1)] = rem + '0';
    }
    str[len] = '\0';
}

// int isNumeric(const char * s)
//
// Returns 1 if "s" is all digits or 0, if non-digit characters
// are present.

int isNumeric (const char * s)
{
    if (s == NULL || *s == '\0' || isspace(*s))
      return 0;
    char * p;
    strtod (s, &p);
    return *p == '\0';
}


// readLine();
//
//  Use: 
// 		char readBuffer[10];
//		readLine(readBuffer);
//
// Returns typed string in original char array

char *readLine(char *readBuffer)
{
	fflush(stdin);
	fflush(stdout);
	fscanf(stdin,"%[^\n]",readBuffer);
	getchar();
	return (readBuffer);    
}
